# Usage

Create a client object by providing the connection details of the DRAC card:

    import dracclient
    client = dracclient.client.DRACClient('1.2.3.4', 'username', 's3cr3t')

Note

By default it will use port 443, ‘/wsman’ as path and https protocol.

You can override the default port, path and protocol:

    client = dracclient.client.DRACClient('1.2.3.4', 'username', 's3cr3t',
                                          port=443, path='/wsman',
                                          protocol='https')

this page last updated: 2022-05-31 17:23:10

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.